<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <!-- CSS only -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-F3w7mX95PdgyTmZZMECAngseQB83DfGTowi0iMjiWaeVhAn4FJkqJByhZMI3AhiU" crossorigin="anonymous">
</head>
<body>
<div class="container">
    <div class="row">
        <h1>List Students</h1>
        <div class="row">
            <div class="col-lg-3">
                <a th:href="@{/api/v1/student/new}" class="btn btn-outline-primary btn-sm mb-3">Add Student</a>
            </div>
        </div>
    </div>
    <table class="table table-striped table-bordered table-hover">
        <thead class="table-dark">
        <tr>
            <th>NOM</th>
            <th>Prénom</th>
            <th>CNE</th>
            <th>Faculté</th>
            <th>Téléphone</th>
            <th>Email</th>
            <th>Actions</th>
        </tr>
        </thead>
        <tbody>
        <tr th:each = "student: ${students}">
            <td th:text="${student.lastName}"></td>
            <td th:text="${student.firstName}"></td>
            <td th:text="${student.nce}"></td>
            <td th:text="${student.faculty}"></td>
            <td th:text="${student.phoneNumber}"></td>
            <td th:text="${student.email}"></td>
            <td>
                <a th:href = "@{/api/v1/student/edit/{id}(id=${student.id})}"
                   class="btn btn-outline-primary"
                >Update</a>
                <a th:href = "@{/api/v1/student/{id}(id=${student.id})}"
                   class="btn btn-outline-danger"
                >Delete</a>
            </td>
        </tr>
        </tbody>
    </table>
</div>

</body>
</html>